Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class MeanKernel

    java.lang.Object
      |
      +--java.awt.image.Kernel
            |
            +--com.pearsoneduc.ip.op.StandardKernel
                  |
                  +--com.pearsoneduc.ip.op.MeanKernel

public class MeanKernel
extends StandardKernel

A Kernel to compute a local mean.

Version:
  1.1 [1999/07/29]
Author:
  Nick Efford

Constructor Summary
`MeanKernel()` Constructs a MeanKernel with the default dimensions of 3x3.
`MeanKernel(int w, int h)` Constructs a MeanKernel with the specified dimensions.

Method Summary
`static float[]` | `createKernelData(int w, int h)` Calculates normalised kernel coefficients for a mean filter.
`static void` | `main(java.lang.String[] argv)` Creates a MeanKernel and prints it on standard output.

Methods inherited from class com.pearsoneduc.ip.op.StandardKernel
`createKernel, createKernel, getFractionDigits, setFractionDigits, toString, write`

Methods inherited from class java.awt.image.Kernel
`clone, getHeight, getKernelData, getWidth, getXOrigin, getYOrigin`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeanKernel

    public MeanKernel()

  Constructs a MeanKernel with the default dimensions of 3x3.

### MeanKernel

    public MeanKernel(int w,
                      int h)

  Constructs a MeanKernel with the specified dimensions.
  Parameters:
    `w` - width of kernel
    `h` - height of kernel

Method Detail

### createKernelData

    public static float[] createKernelData(int w,
                                           int h)

  Calculates normalised kernel coefficients for a mean filter.
  Parameters:
    `w` - width of kernel
    `h` - height of kernel
  Returns:
    array of kernel coeffients.

### main

    public static void main(java.lang.String[] argv)

  Creates a MeanKernel and prints it on standard output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD